# Uses of Class
java.nio.channels.AsynchronousServerSocketChannel

Packages that use AsynchronousServerSocketChannel
Package
Description
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.nio.channels.spi
Service-provider classes for the `java.nio.channels` package.

## Uses of AsynchronousServerSocketChannel in java.nio.channels

Methods in java.nio.channels that return AsynchronousServerSocketChannel
Modifier and Type
Method
Description
`final AsynchronousServerSocketChannel`
AsynchronousServerSocketChannel.`bind(SocketAddress local)`
Binds the channel's socket to a local address and configures the socket to listen for connections.
`abstract AsynchronousServerSocketChannel`
AsynchronousServerSocketChannel.`bind(SocketAddress local, int backlog)`
Binds the channel's socket to a local address and configures the socket to listen for connections.
`static AsynchronousServerSocketChannel`
AsynchronousServerSocketChannel.`open()`
Opens an asynchronous server-socket channel.
`static AsynchronousServerSocketChannel`
AsynchronousServerSocketChannel.`open(AsynchronousChannelGroup group)`
Opens an asynchronous server-socket channel.
`abstract <T> AsynchronousServerSocketChannel`
AsynchronousServerSocketChannel.`setOption(SocketOption<T> name, T value)`

## Uses of AsynchronousServerSocketChannel in java.nio.channels.spi

Methods in java.nio.channels.spi that return AsynchronousServerSocketChannel
Modifier and Type
Method
Description
`abstract AsynchronousServerSocketChannel`
AsynchronousChannelProvider.`openAsynchronousServerSocketChannel(AsynchronousChannelGroup group)`
Opens an asynchronous server-socket channel.